Bug 85820 - Update compositing/RTL tests to fail if the root layer is shifted incorrectly
: Update compositing/RTL tests to fail if the root layer is shifted incorrectly
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Adrienne Walker
:
Depends on: 86086
Blocks: 85672
  Show dependency treegraph
 
Reported: 2012-05-07 13:22 PDT by Adrienne Walker
Modified: 2012-05-10 04:20 PDT (History)
4 users (show)

See Also:


Attachments
Patch (27.87 KB, patch)
2012-05-07 13:27 PDT, Adrienne Walker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrienne Walker 2012-05-07 13:22:42 PDT
Update compositing/RTL tests to fail if the root layer is shifted incorrectly
Comment 1 Adrienne Walker 2012-05-07 13:27:08 PDT
Created attachment 140577 [details]
Patch
Comment 2 Adrienne Walker 2012-05-07 14:13:51 PDT
I guess I wasn't clear on how I fixed it, so here's a better change description: I set margin:0 on all tests, set the background to red, and then added a big white layer over top of the entire root layer.

If the root layer is incorrectly shifted in the compositor, then it won't cover the red background and the test will fail.  This will probably only fail on Chromium, because we logically end up doing a clear with the root background color.
Comment 3 James Robinson 2012-05-09 14:45:59 PDT
Comment on attachment 140577 [details]
Patch

R=me
Comment 4 WebKit Review Bot 2012-05-09 15:00:25 PDT
Comment on attachment 140577 [details]
Patch

Clearing flags on attachment: 140577

Committed r116560: <http://trac.webkit.org/changeset/116560>
Comment 5 WebKit Review Bot 2012-05-09 15:00:31 PDT
All reviewed patches have been landed.  Closing bug.